:root {
  --grid-gap: 20px;
}

.wrapper {
  width: 100%;
  max-width: 960px;
  margin: 0 auto;
}

.wrapper--post-grid {
  display: grid;
  gap: var(--grid-gap);
  grid-template-areas:
    "header"
    "nav"
    "content"
    "sidebar"
    "footer";
}

@media (width >= 400px) {
  .wrapper {
    padding: 0;
    width: 85%;
  }
}

@media (width >= 550px) {
  .wrapper {
    width: 80%;
  }
}

@media (width >= 800px) {
  .wrapper--post-grid {
    grid-template-columns: 1fr 3fr;
    grid-template-areas:
      "...  nav"
      "...  header"
      "sidebar content"
      "...  footer";
  }
  nav ul {
    display: flex;
    justify-content: space-between;
  }

  header.home {
    display: grid;
    gap: var(--grid-gap);
    grid-template-columns: 1fr 3fr;
    grid-template-areas:
      "sidebar content";
    padding-top: 40px;
  }

  section.home {
    display: grid;
    gap: var(--grid-gap);
    grid-template-columns: 1fr 3fr;
    grid-template-areas:
      "sidebar content";
  }

}

.wrapper--center {
  display: grid;
  place-items: center;
  min-height: 100vh;
}

.main-head {
  grid-area: header;
  min-width: 0;
  padding: 20px 0;
}

.content {
  grid-area: content;
  min-width: 0;
}

.main-nav {
  grid-area: nav;
}

.sidebar {
  grid-area: sidebar;
}

.main-footer {
  grid-area: footer;
}



/* Typography
–––––––––––––––––––––––––––––––––––––––––––––––––– */
h1, h2, h3, h4, h5, h6 {
  margin-top: 0;
  margin-bottom: 2rem;
  font-weight: 300; }
h1 { font-size: 2.4rem; line-height: 1.2;  letter-spacing: -.1rem;}
h2 { font-size: 2.0rem; line-height: 1.25; letter-spacing: -.1rem; }
h3 { font-size: 1.7rem; line-height: 1.3; }

@media (min-width: 550px) {
  h1 { font-size: 3.0rem; }
  h2 { font-size: 2.4rem; }
  h3 { font-size: 2.0rem; }
}

p {
  margin-top: 0; }

hr {
  margin-top: 3rem;
  margin-bottom: 3.5rem;
  border-width: 0;
  border-top: 1px solid #E1E1E1; }
